---
layout: post
title: Adventures in setting up a T60 with a modern OS — Awaiting the laptop
---

I've been meaning to get a secondary laptop for a long time but I have for some reason kept putting it off — but that is no more! I decided to get an old IBM ThinkPad T60 which is a laptop I had previously used as well; in fact, I still have a photo that I took of my T61 way back when.

![My Old ThinkPad](/assets/t61.jpg){:class="img-responsive"}

Therefore, I thought it would be great to have another one of these very sturdy and nigh indestructible laptops to take with me when I have to go places for work (or just a nice laptop that I can take with me whenever I go to the woods or something).
Thus, a few days ago I started looking online to see if I could find a nice old ThinkPad for a somewhat low price; and, luckily, a day ago I finally found one! Someone in my city was selling an old IBM ThinkPad T60 for merely €25 which I thought was a decent price. It has 2048 MB of RAM and an Intel Core 2 Duo with 1.8 GHz which is perfect for what I need. The battery still works too, apparently, but it doesn't have a lot of capacity left it seems.
This may be mitigated slightly by not using Windows and instead installing one of my very minimal Arch GNU/Linux installs. But since there are a tonne of batteries still available for this type of laptop, I could quite easily buy a new one — which, funnily enough, cost as much as the laptop or even more (€19.99 to €35 for a new battery, depending on the manufacturer and capacity)

I will be getting the laptop tomorrow and I will post here again with some more updates. I will try installing Arch or Manjaro with either DWM or i3-gaps (I'm not entirely sure which one I'll choose yet) and it should hopefully work somewhat well.

Depending on what kind of RAM / HDD is installed in the computer, I will be upgrading it somewhat. 100 GB of HDD should be more than enough for my uses, but I was unfortunately unable to figure out how much disk space the machine actually has; and I will perhaps upgrade the RAM slightly (to 4 GB), depending on the kind of RAM that is installed on the machine (My guess is SODIMM DDR2, but I'm not 100% certain).

Well, we'll hear from each other tomorrow!


![My Old ThinkPad](/assets/t60-stats.jpg){:class="img-responsive"}
